Replace tracked items
curl --request POST \
--url https://api.xpoz.ai/api/crawl/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": {
"twitter": {
"keywords": [
"<string>"
],
"users": [
"<string>"
]
},
"instagram": {
"keywords": [
"<string>"
],
"users": [
"<string>"
]
},
"reddit": {
"keywords": [
"<string>"
],
"subreddits": [
"<string>"
],
"users": [
"<string>"
]
},
"tiktok": {
"keywords": [
"<string>"
],
"users": [
"<string>"
],
"hashtags": [
"<string>"
]
}
}
}
'import requests
url = "https://api.xpoz.ai/api/crawl/settings"
payload = { "items": {
"twitter": {
"keywords": ["<string>"],
"users": ["<string>"]
},
"instagram": {
"keywords": ["<string>"],
"users": ["<string>"]
},
"reddit": {
"keywords": ["<string>"],
"subreddits": ["<string>"],
"users": ["<string>"]
},
"tiktok": {
"keywords": ["<string>"],
"users": ["<string>"],
"hashtags": ["<string>"]
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
items: {
twitter: {keywords: ['<string>'], users: ['<string>']},
instagram: {keywords: ['<string>'], users: ['<string>']},
reddit: {keywords: ['<string>'], subreddits: ['<string>'], users: ['<string>']},
tiktok: {keywords: ['<string>'], users: ['<string>'], hashtags: ['<string>']}
}
})
};
fetch('https://api.xpoz.ai/api/crawl/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"tenantId": "<string>",
"userEmail": "<string>",
"items": {
"twitter": {
"keywords": [
"<string>"
],
"users": [
"<string>"
]
},
"instagram": {
"keywords": [
"<string>"
],
"users": [
"<string>"
]
},
"reddit": {
"keywords": [
"<string>"
],
"subreddits": [
"<string>"
],
"users": [
"<string>"
]
},
"tiktok": {
"keywords": [
"<string>"
],
"users": [
"<string>"
],
"hashtags": [
"<string>"
]
}
},
"frequencyMinutes": 123,
"createdAt": "2023-11-07T05:31:56Z",
"lastCrawledAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"success": false,
"message": "<string>"
}{
"message": "<string>"
}{
"success": false,
"error": "PLAN_LIMIT_EXCEEDED",
"message": "<string>",
"data": {
"currentCount": 123,
"planTrackedItems": 123,
"extraTrackedItems": 123,
"planName": "<string>"
}
}{
"success": false,
"message": "<string>",
"error": "<string>"
}Crawl Settings
Replace tracked items
Replace the caller’s tracked items. Rejected when the plan limit is exceeded.
POST
/
api
/
crawl
/
settings
Replace tracked items
Authorizations
Descope session JWT of a logged-in dashboard user. Send as Authorization: Bearer <session JWT>.
Body
application/json
Tracked items per platform.
Show child attributes
Show child attributes

